
QGIS Application - Bug report #19463

crash rolling back edits

2018-07-22 07:52 PM - Hugo Leandro

Status: Closed

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27291

Description

User Feedback

Report Details

Crash ID: cfa4fa2c00f68197edd3f6e78a3b0f2e41035a1a

Stack Trace

QgsVertexTool::deactivate :

QgsMapCanvas::setMapTool :

QgisApp::activateDeactivateLayerRelatedActions :

QgisApp::layerEditStateChanged :

QMetaObject::activate :

QgsVectorLayer::rollBack :

QgisApp::toggleEditing :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-25 11:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Provide steps to reproduce.

#2 - 2018-09-25 01:08 PM - Jürgen Fischer

- Subject changed from Qgis 3.2 crash to crash rolling back edits

#3 - 2019-02-11 05:05 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
